package com.zjrs.zwnw.rlzysc.dto;

import jakarta.validation.constraints.NotBlank;

public class HcXxUDTO {
    @NotBlank(message = "缺少会场编号参数")
    private String hcbh;//会场编号
    @NotBlank(message = "缺少会场名称参数")
    private String hcmc;//会场名称
    @NotBlank(message = "缺少总展位数参数")
    private String zzws;//总展位数
    @NotBlank(message = "缺少会场状态参数")
    private String hczt;//会场状态
    @NotBlank(message = "缺少联系人参数")
    private String lxr;//联系人
    @NotBlank(message = "缺少联系电话参数")
    private String lxdh;//联系电话
//    @NotBlank(message = "缺少租金标准参数")
    private String zjbz;//租金标准
    @NotBlank(message = "缺少会场性质参数")
    private String hcxz;//会场性质
    @NotBlank(message = "缺少展位规划描述参数")
    private String zwghms;//展位规划描述
    @NotBlank(message = "缺少会场总面积参数")
    private String hczmj;//会场总面积
    @NotBlank(message = "缺少展位总面积参数")
    private String zwzmj;//展位总面积
    @NotBlank(message = "缺少会场地址参数")
    private String hcdz;//会场地址
    @NotBlank(message = "缺少备注参数")
    private String bz;//备注
    @NotBlank(message = "缺少招聘会流水号参数")
    private String rsrlzyzphgllsh;//招聘会流水号

    private String rsrlzyhcgllsh;//会场管理流水号

    public String getRsrlzyhcgllsh() {
        return rsrlzyhcgllsh;
    }

    public void setRsrlzyhcgllsh(String rsrlzyhcgllsh) {
        this.rsrlzyhcgllsh = rsrlzyhcgllsh;
    }

    public String getRsrlzyzphgllsh() {
        return rsrlzyzphgllsh;
    }

    public void setRsrlzyzphgllsh(String rsrlzyzphgllsh) {
        this.rsrlzyzphgllsh = rsrlzyzphgllsh;
    }

    public String getHcbh() {
        return hcbh;
    }

    public void setHcbh(String hcbh) {
        this.hcbh = hcbh;
    }

    public String getHcmc() {
        return hcmc;
    }

    public void setHcmc(String hcmc) {
        this.hcmc = hcmc;
    }

    public String getZzws() {
        return zzws;
    }

    public void setZzws(String zzws) {
        this.zzws = zzws;
    }

    public String getHczt() {
        return hczt;
    }

    public void setHczt(String hczt) {
        this.hczt = hczt;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getZjbz() {
        return zjbz;
    }

    public void setZjbz(String zjbz) {
        this.zjbz = zjbz;
    }

    public String getHcxz() {
        return hcxz;
    }

    public void setHcxz(String hcxz) {
        this.hcxz = hcxz;
    }

    public String getZwghms() {
        return zwghms;
    }

    public void setZwghms(String zwghms) {
        this.zwghms = zwghms;
    }

    public String getHczmj() {
        return hczmj;
    }

    public void setHczmj(String hczmj) {
        this.hczmj = hczmj;
    }

    public String getZwzmj() {
        return zwzmj;
    }

    public void setZwzmj(String zwzmj) {
        this.zwzmj = zwzmj;
    }

    public String getHcdz() {
        return hcdz;
    }

    public void setHcdz(String hcdz) {
        this.hcdz = hcdz;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }
}
